aboutsummaryrefslogtreecommitdiff
path: root/testsuite/umlwrapper.sh
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2006-03-18 03:00:22 +0000
committerRob Landley <rob@landley.net>2006-03-18 03:00:22 +0000
commitdcb2122e853ab4b82e0baf44f7110f16c7c74dc3 (patch)
tree5f552194f9ab11674328f8305183a7deb3a15712 /testsuite/umlwrapper.sh
parenteaa34ca5b4babe9887f36a14764bc94f26f90d0e (diff)
downloadbusybox-dcb2122e853ab4b82e0baf44f7110f16c7c74dc3.tar.gz
My mount testsuite. Not automatically run at the moment, need to figure out
how to (optionally) supply User Mode Linux to runtests.
Diffstat (limited to 'testsuite/umlwrapper.sh')
-rwxr-xr-xtestsuite/umlwrapper.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/testsuite/umlwrapper.sh b/testsuite/umlwrapper.sh
new file mode 100755
index 000000000..e55e4dbd3
--- /dev/null
+++ b/testsuite/umlwrapper.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# Wrapper for User Mode Linux emulation environment
+
+RUNFILE="$(pwd)/${1}.testroot"
+if [ -z "$RUNFILE" ] || [ ! -x "$RUNFILE" ]
+then
+ echo "Can't run '$RUNFILE'"
+ exit 1
+fi
+
+shift
+
+if [ -z $(which linux) ]
+then
+ echo "No User Mode Linux."
+ exit 1;
+fi
+
+linux rootfstype=hostfs rw init="$RUNFILE" TESTDIR=`pwd` PATH="$PATH" $* quiet